Public Member Functions | Public Attributes | Friends | List of all members
WPSColumnFormat Struct Reference

`#include <WPSTable.h>`

## Public Member Functions
| WPSColumnFormat (float width=-1)
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
int | compare (WPSColumnFormat const &col) const
| a comparison function More...
bool | operator== (WPSColumnFormat const &col) const
| operator== More...
bool | operator!= (WPSColumnFormat const &col) const
| operator!= More...
bool | operator< (WPSColumnFormat const &col) const
| operator< More...

## Public Attributes
float | m_width
| the column width, if known More...
bool | m_isPercentWidth
| a flag to know if the width is in percent (or in point) More...
bool | m_useOptimalWidth
| a flag to know if we need to see use-optimal column width More...
bool | m_isHeader
| a flag to know if the column is a header column More...
int | m_numRepeat
| the number times a column is repeated More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSColumnFormat const &col)
| operator<< More...

## Constructor & Destructor Documentation

## ◆ WPSColumnFormat()

WPSColumnFormat::WPSColumnFormat | ( | float | width = `-1` | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ addTo()

void WPSColumnFormat::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ compare()

int WPSColumnFormat::compare | ( | WPSColumnFormat const & | col | ) | const
| inline

a comparison function

Note
  this comparison function does ignore m_numRepeat

Referenced by operator!=(), operator<(), and operator==().

## ◆ operator!=()

bool WPSColumnFormat::operator!= | ( | WPSColumnFormat const & | col | ) | const
| inline

operator!=

## ◆ operator<()

bool WPSColumnFormat::operator< | ( | WPSColumnFormat const & | col | ) | const
| inline

operator<

## ◆ operator==()

bool WPSColumnFormat::operator== | ( | WPSColumnFormat const & | col | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSColumnFormat const & | col
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_isHeader

bool WPSColumnFormat::m_isHeader

a flag to know if the column is a header column

Referenced by addTo(), compare(), and operator<<().

## ◆ m_isPercentWidth

bool WPSColumnFormat::m_isPercentWidth

a flag to know if the width is in percent (or in point)

Referenced by addTo(), compare(), and operator<<().

## ◆ m_numRepeat

int WPSColumnFormat::m_numRepeat

the number times a column is repeated

Referenced by addTo(), QuattroSpreadsheetInternal::Spreadsheet::getWidths(), QuattroDosSpreadsheetInternal::Spreadsheet::getWidths(), WKS4SpreadsheetInternal::Spreadsheet::getWidths(), LotusSpreadsheetInternal::Spreadsheet::getWidths(), Quattro9SpreadsheetInternal::Spreadsheet::getWidths(), operator<<(), WKS4Parser::parse(), and LotusParser::parse().

## ◆ m_useOptimalWidth

bool WPSColumnFormat::m_useOptimalWidth

a flag to know if we need to see use-optimal column width

Referenced by addTo(), compare(), QuattroSpreadsheetInternal::Spreadsheet::getWidths(), QuattroDosSpreadsheetInternal::Spreadsheet::getWidths(), WKS4SpreadsheetInternal::Spreadsheet::getWidths(), LotusSpreadsheetInternal::Spreadsheet::getWidths(), Quattro9SpreadsheetInternal::Spreadsheet::getWidths(), operator<<(), and LotusSpreadsheetInternal::Spreadsheet::setColumnWidth().

## ◆ m_width

float WPSColumnFormat::m_width

the column width, if known

Referenced by addTo(), compare(), and operator<<().

The documentation for this struct was generated from the following files:

- WPSTable.h
- WPSTable.cpp